#ifndef PARSERUTIL_H
#define PARSERUTIL_H

#include "astnode.h"
#include "parsecontext.h"

std::optional<LibraryNode> loadLibraryFromFile(ParseContext * parseContext,
                                                            const char* name,
                                                            std::ostream& stream);

std::optional<SchemaNode> loadSchemaFromFile(ParseContext * parseContext,
                                                            const char* name,
                                                            std::ostream& stream);

#endif // PARSERUTIL_H
